Bug Hunting Session
Bug 48037 - FILEOPEN : Import RTF file but date field not using the good locale format.
Summary: FILEOPEN : Import RTF file but date field not using the good locale format.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-03-29 02:19 UTC by Nahir Mohamed
Modified: 2015-12-17 12:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file with date field trouble (83.18 KB, application/rtf)
2012-03-29 02:19 UTC, Nahir Mohamed
Details
Screenshot of the result in MS Word Viewer 2003 (25.96 KB, image/png)
2012-03-29 02:20 UTC, Nahir Mohamed
Details
Screenshot of the result in Writer 3.5.1 (46.86 KB, image/png)
2012-03-29 02:21 UTC, Nahir Mohamed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nahir Mohamed 2012-03-29 02:19:14 UTC
Created attachment 59203 [details]
RTF file with date field trouble

Hi,

I have some RTF files which are not well displayed on Writer.

There is a date field which is displaying the right date but not in the good locale. In my case the date should be displayed in French format.

The file was generated from a template created by MS Word 2000. This template
is filled with data by a homemade application.

I put on attachment the bugged file, screenshots of the result.

Thanks in advance
Comment 1 Nahir Mohamed 2012-03-29 02:20:52 UTC
Created attachment 59204 [details]
Screenshot of the result in MS Word Viewer 2003
Comment 2 Nahir Mohamed 2012-03-29 02:21:23 UTC
Created attachment 59205 [details]
Screenshot of the result in Writer 3.5.1
Comment 3 Nahir Mohamed 2012-04-10 01:36:08 UTC
Regression working on 3.3.4
Comment 4 s-joyemusequna 2012-04-18 11:49:36 UTC
Works with LibO 3.3.4 (and Word 2007). Tested on Windows XP and Vista 64.
Hangs with LibO 3.4.5.
Problems with LibO 3.5.2 (two pages instead of one, problems with tables and fonts)
Comment 5 Not Assigned 2012-04-26 02:24:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f7defd274fd2f3b48356cc5f221dfca4fbd1290

fdo#48037 fix RTF import of localized fields
Comment 6 Miklos Vajna 2012-04-26 02:25:19 UTC
Fixed in master, will request cherry-pick to -3-5 as usual, later.
Comment 7 Nahir Mohamed 2012-04-26 02:30:40 UTC
Thanks I'll try this patch as soon as I can.
Comment 8 Not Assigned 2012-04-30 05:04:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae8e571936dc83d54e398bfc21f5a512b8c7471b&g=libreoffice-3-5

fdo#48037 fix RTF import of localized fields


It will be available in LibreOffice 3.5.4.
Comment 9 s-joyemusequna 2012-05-19 00:01:22 UTC
Verified with LOdev 3.6 (master - 18-May-2012 02h44 x86@6-fast; Build ID: 8b1d29b) under Windows Vista 64. 

Date is fixed. (But there are other issues)
Comment 10 Robinson Tryon (qubit) 2015-12-17 12:05:49 UTC Comment hidden (obsolete)